using System;

internal sealed class Delegate814 : MulticastDelegate
{
	public extern bool Invoke(object object_0);

	public static bool smethod_0(object object_0, Delegate814 delegate814_1)
	{
		return delegate814_1(object_0);
	}

	public extern Delegate814(object object_0, IntPtr intptr_0);

	static Delegate814()
	{
		Class10.smethod_13(typeof(Delegate814).TypeHandle);
	}

	internal static Delegate814 delegate814_0;
}
